Subject: [Syslog-sec] RE: While you are at it ...

From: "Rainer Gerhards" <[email-masked]>
Date: Fri, 15 Apr 2005 11:58:04 +0200

Tom,

> -----Original Message-----
> From: Tom Petch [mailto:[email-masked]] 
> Sent: Thursday, April 14, 2005 7:08 PM
> To: Rainer Gerhards; syslog
> Subject: While you are at it ...
> 
> I suggest the following changes
> 
> a) Update the boiler plates - new ones mandatory from next month

done

> 
> b) RFC9999 I find confusing, irritating even; normative 
> references to I-Ds is
> elementary RFC-editing, they deal with it every day; put in 
> the I-D name and
> trust the editor to sort it out:-)

As far as I have been told, the way it currently is is the way to do it.
Once it is through the last call, *I* will get a last editing chance at
which time this is replaced by the actual RFC 1. As far as I've been
told, a normative RFC must only refer to other RFCs, not I-Ds. If it
does, it won't be normative until the other I-D has become an RFC.

> 
> c) RFC 2373 has a new I-D in last call; I think that that 
> should be referenced.

see above

> 
> d) 10.2 references 'time'; 7 has 'timequality'
changed

> 
> e) 10.1 has monotonically (which I do not think you mean - 
> see previous essay)

changed ;)

> 
> f) 9 is to be removed by the RFC editor; do we then go from 8 
> to 10 or does he
> renumber 10, 11 etc?  Seriously, this should be the last 
> section, or, if you
> follow b), then remove it.

see above - it's automatically generated by xml2rfc, so the renumbering
should be no issue. Anyhow, I've put it to the last content section,
which (by xml2rfc design) is in front of the references (section 13).
> 
> g) What is the relationship of this to RFC 3164?  I was 
> expecting to see
> something about this on the first page.

I already placed some text there based on some other comments. This
strengthes the point its good to do so. You'll see when I publish the
I-D (hopefully very soon).

Rainer
> Tom Petch
_______________________________________________
Syslog-sec mailing list
[email-masked]
http://www.employees.org/mailman/listinfo/syslog-sec

---

From: "Sharon Chisholm" <[email-masked]>
Date: Fri, 15 Apr 2005 07:57:51 -0400

</Rainer>

As far as I have been told, the way it currently is is the way to do it.
Once it is through the last call, *I* will get a last editing chance at
which time this is replaced by the actual RFC 1. As far as I've been told, a
normative RFC must only refer to other RFCs, not I-Ds. If it does, it won't
be normative until the other I-D has become an RFC.
</Rainer>

No, more typically one would say RFCXXXX with a note that the RFC editor
should fill this in when the number is available. RFC9999 is much less
likely to be caught before publication. 

Sharon

---

From: "Tom Petch" <[email-masked]>
Date: Sat, 16 Apr 2005 13:07:43 +0200

The latest IPv6 address architecture draft does change the rules about
representation in minor ways and does deprecate two classes of address, site
local and IPv6 compatible (details in the draft).  Is this significant in the
context of syslog?  Don't know.  If not, then I will go along with David about
using RFC 3513.

Tom Petch

----- Original Message -----
From: "David B Harrington" <[email-masked]>
To: "'Tom Petch'" <[email-masked]>; "'Rainer Gerhards'"
<[email-masked]>; "'syslog'" <[email-masked]>
Sent: Friday, April 15, 2005 11:05 PM
Subject: RE: [Syslog-sec] RE: While you are at it ...

> Hi,
>
> Unless there is something in the new I-D that is referenced here, I
> would reference one of the already published RFCs. I think that would
> cause the least delay in getting this work to RFC.
>
> If thr RFC does not advance from PS when this WG wishes to advance
> this document to DS, a new draft can be publsihed with an updated
> reference, as part of the process of advancement from PS to DS.
>
> David Harrington
> [email-masked]
>
> > From: [email-masked]
> > [mailto:[email-masked]] On Behalf Of Tom Petch
> > Sent: Friday, April 15, 2005 3:33 PM
> > To: 'Rainer Gerhards'; 'syslog'
> > Subject: Re: [Syslog-sec] RE: While you are at it ...
> >
> > Agreeing with everything Sharon and David said, what about
> > the reference [8] to
> >  RFC 2373 (for a valid textual representation of an IPv6 address)?
> >
> > RFC2373 has been superseded by RFC3513 (still PS) which is
> > now being superseded
> > by
> > draft-ietf-ipv6-addr-arch-v4-02.txt
> > and there are changes in this area of textual representation,
> > some additions,
> > some removals.
> >
> > So, if you really mean RFC2373, then there is a technical
> > problem which will
> > stop this work progressing.
> >
> > If you mean whatever IPv6 comes up with, then a reference to
> > RFC3513 will be
> > technically ok but will stop progress along the standards
> > track since RFC3513
> > will not progress but the one that supersedes it may.
> >
> > So again, I think you want a reference here to work in
> > progress, citing the I-D
> > name, with a note as David suggests
> > -- RFC Ed.: replace XXXX with RFC number and remove this note
> > alongside reference [8].  (I trust the RFC editor to delay
> > publication until the
> > IPv6 draft makes it to RFC:-)
> >
> > In passing, you can see a reference of the form I like,
> > albeit without the RFC
> > editor note,
> > in
> > draft-ietf-bmwg-igp-dataplane-conv-app-05.txt
> >
> > Tom Petch
> >
> > ----- Original Message -----
> > From: "David B Harrington" <[email-masked]>
> > To: "'Rainer Gerhards'" <[email-masked]>; "'syslog'"
> > <[email-masked]>
> > Sent: Friday, April 15, 2005 2:45 PM
> > Subject: RE: [Syslog-sec] RE: While you are at it ...
> >
> >
> > > Hi,
> > >
> > > Sharon's suggestion had two parts:
> > > RFCXXXX rather than RFC9999 - ok.
> > > But also instructions to the RFC Editor in a format the RFC Editor
> > > knows to look for:
> > > -- RFC Ed.: replace XXXX with RFC number and remove this note
> > >
> > > dbh
> > >
> > > > From: [email-masked]
> > > > [mailto:[email-masked]] On Behalf Of
> > > > Rainer Gerhards
> > > > Sent: Friday, April 15, 2005 8:43 AM
> > > > To: syslog
> > > > Subject: RE: [Syslog-sec] RE: While you are at it ...
> > > >
> > > > Sharon,
> > > >
> > > > thanks for the comment. I'll change it to RFC XXXX.
> > > >
> > > > Rainer
> > > >
> > > > > From: [email-masked]
> > > > > [mailto:[email-masked]] On Behalf Of
> > > > > Sharon Chisholm
> > > > > Sent: Friday, April 15, 2005 1:58 PM
> > > > > To: syslog
> > > > > Subject: RE: [Syslog-sec] RE: While you are at it ...
> > > > >
> > > > >
> > > > >
> > > > > </Rainer>
> > > > > >